# all files / ol/renderer/webgl/defaultmapshader/ locations.js

33.33% Statements 3/9
0% Branches 0/12
0% Functions 0/1
33.33% Lines 3/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    1×

    1×

    1×

     // This file is automatically generated, do not edit
    goog.provide('ol.renderer.webgl.defaultmapshader.Locations');

    goog.require('ol');

    /**
     * @constructor
     * @param {WebGLRenderingContext} gl GL.
     * @param {WebGLProgram} program Program.
     * @struct
     */
    ol.renderer.webgl.defaultmapshader.Locations = function(gl, program) {

      /**
       * @type {WebGLUniformLocation}
       */
      this.u_texCoordMatrix = gl.getUniformLocation(
          program, ol.DEBUG_WEBGL ? 'u_texCoordMatrix' : 'd');

      /**
       * @type {WebGLUniformLocation}
       */
      this.u_projectionMatrix = gl.getUniformLocation(
          program, ol.DEBUG_WEBGL ? 'u_projectionMatrix' : 'e');

      /**
       * @type {WebGLUniformLocation}
       */
      this.u_opacity = gl.getUniformLocation(
          program, ol.DEBUG_WEBGL ? 'u_opacity' : 'f');

      /**
       * @type {WebGLUniformLocation}
       */
      this.u_texture = gl.getUniformLocation(
          program, ol.DEBUG_WEBGL ? 'u_texture' : 'g');

      /**
       * @type {number}
       */
      this.a_position = gl.getAttribLocation(
          program, ol.DEBUG_WEBGL ? 'a_position' : 'b');

      /**
       * @type {number}
       */
      this.a_texCoord = gl.getAttribLocation(
          program, ol.DEBUG_WEBGL ? 'a_texCoord' : 'c');
    };